## CongNodeModificationMakeOrphan

CongNodeModificationMakeOrphan —

## Synopsis

    struct      CongNodeModificationMakeOrphan;
    #define     CONG_NODE_MODIFICATION_MAKE_ORPHAN(obj)
    #define     CONG_NODE_MODIFICATION_MAKE_ORPHAN_CLASS(klass)
    #define     IS_CONG_NODE_MODIFICATION_MAKE_ORPHAN(obj)
    GType       cong_node_modification_make_orphan_get_type
                                                (void);
    CongNodeModificationMakeOrphan* cong_node_modification_make_orphan_construct
                                                (CongNodeModificationMakeOrphan *node_modification_make_orphan,
                                                 CongDocument *doc,
                                                 CongNodePtr node);
    CongModification* cong_node_modification_make_orphan_new
                                                (CongDocument *doc,
                                                 CongNodePtr node);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongNodeModification
                   +----CongNodeModificationMakeOrphan

## Description

## Details

### struct CongNodeModificationMakeOrphan

    struct CongNodeModificationMakeOrphan;

### CONG_NODE_MODIFICATION_MAKE_ORPHAN()

    #define CONG_NODE_MODIFICATION_MAKE_ORPHAN(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_NODE_MODIFICATION_MAKE_ORPHAN_TYPE, CongNodeModificationMakeOrphan)

`obj` : |

### CONG_NODE_MODIFICATION_MAKE_ORPHAN_CLASS()

    #define CONG_NODE_MODIFICATION_MAKE_ORPHAN_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_NODE_MODIFICATION_MAKE_ORPHAN_TYPE, CongNodeModificationMakeOrphanClass)

`klass` : |

### IS_CONG_NODE_MODIFICATION_MAKE_ORPHAN()

    #define IS_CONG_NODE_MODIFICATION_MAKE_ORPHAN(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_NODE_MODIFICATION_MAKE_ORPHAN_TYPE)

`obj` : |

### cong_node_modification_make_orphan_get_type ()

    GType       cong_node_modification_make_orphan_get_type
                                                (void);

Returns : |

### cong_node_modification_make_orphan_construct ()

    CongNodeModificationMakeOrphan* cong_node_modification_make_orphan_construct
                                                (CongNodeModificationMakeOrphan *node_modification_make_orphan,
                                                 CongDocument *doc,
                                                 CongNodePtr node);

TODO: Write me

`node_modification_make_orphan` : |
`doc` : |
`node` : |
Returns : |

### cong_node_modification_make_orphan_new ()

    CongModification* cong_node_modification_make_orphan_new
                                                (CongDocument *doc,
                                                 CongNodePtr node);

TODO: Write me

`doc` : |
`node` : |
Returns : |